package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会员业务范围
 */
@AllArgsConstructor
@Getter
public enum EBusinessScope {

    /**
     * 会员
     */
    MEMBER(1, "会员", 0),
    /**
     * 体系
     */
    VERTEX(2, "体系", 1),
    /**
     * 血缘
     */
    BLOOD(3, "血缘", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

}
